Fapi_GetCertificate(3)

NAME
Fapi_GetCertificate - Fapi_GetCertificate

SYNOPSIS

  Functions
TSS2_RC Fapi_GetCertificate (FAPI_CONTEXT *context, char const *path, char **x509certData)
TSS2_RC Fapi_GetCertificate_Async (FAPI_CONTEXT *context, char const *path)
TSS2_RC Fapi_GetCertificate_Finish (FAPI_CONTEXT *context, char **x509certData)

Detailed Description

FAPI functions to invoke GetCertificate either as one-call or in an asynchronous manner.

Function Documentation

  TSS2_RC Fapi_GetCertificate (FAPI_CONTEXT * context, char const * path, char ** x509certData)
One-Call function for Fapi_GetCertificate

Gets an x.509 certificate for the key at a given path.

Parameters
    context The FAPI_CONTEXT
    path The path to the key whose certificate is created
    x509certData The PEM-encoded certificate

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context, path or x509CertData is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_PATH_NOT_FOUND if path does not map to a FAPI entity.
    TSS2_FAPI_RC_BAD_KEY if the key is unsuitable for the requested operation.
    TSS2_FAPI_RC_NO_CERTIFICATE if there is not a x.509 cert associated with the path of the key.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_TRY_AGAIN if an I/O operation is not finished yet and this function needs to be called again.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.
    TSS2_FAPI_RC_BAD_PATH if the path is used in inappropriate context or contains illegal characters.

  TSS2_RC Fapi_GetCertificate_Async (FAPI_CONTEXT * context, char const * path)
Asynchronous function for Fapi_GetCertificate

Gets an x.509 certificate for the key at a given path.

Call Fapi_GetCertificate_Finish to finish the execution of this command.

Parameters
    context The FAPI_CONTEXT
    path The path to the key whose certificate is created

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context or path is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_PATH_NOT_FOUND if path does not map to a FAPI entity.
    TSS2_FAPI_RC_BAD_KEY if the key is unsuitable for the requested operation.
    TSS2_FAPI_RC_NO_CERTIFICATE if there is not a x.509 cert associated with the path of the key.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.
    TSS2_FAPI_RC_BAD_PATH if the path is used in inappropriate context or contains illegal characters.

  TSS2_RC Fapi_GetCertificate_Finish (FAPI_CONTEXT * context, char ** x509certData)
Asynchronous finish function for Fapi_GetCertificate

This function should be called after a previous Fapi_GetCertificate_Async.

Parameters
    context The FAPI_CONTEXT
    x509certData The PEM-encoded certificate

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context or x509certData is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_TRY_AGAIN if the asynchronous operation is not yet complete. Call this function again later.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.

Author

Generated automatically by Doxygen for tpm2-tss from the source code.